# Method: projects.locations.getServerConfig

- [HTTP request](https://docs.cloud.google.com/distributed-cloud/connected/1.10.0/docs/reference/container/rest/v1/projects.locations/getServerConfig#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/distributed-cloud/connected/1.10.0/docs/reference/container/rest/v1/projects.locations/getServerConfig#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/distributed-cloud/connected/1.10.0/docs/reference/container/rest/v1/projects.locations/getServerConfig#body.request_body)
- [Response body](https://docs.cloud.google.com/distributed-cloud/connected/1.10.0/docs/reference/container/rest/v1/projects.locations/getServerConfig#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/distributed-cloud/connected/1.10.0/docs/reference/container/rest/v1/projects.locations/getServerConfig#body.ServerConfig.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/distributed-cloud/connected/1.10.0/docs/reference/container/rest/v1/projects.locations/getServerConfig#body.aspect)
- [ChannelConfig](https://docs.cloud.google.com/distributed-cloud/connected/1.10.0/docs/reference/container/rest/v1/projects.locations/getServerConfig#ChannelConfig)
  - [JSON representation](https://docs.cloud.google.com/distributed-cloud/connected/1.10.0/docs/reference/container/rest/v1/projects.locations/getServerConfig#ChannelConfig.SCHEMA_REPRESENTATION)
- [Version](https://docs.cloud.google.com/distributed-cloud/connected/1.10.0/docs/reference/container/rest/v1/projects.locations/getServerConfig#Version)
  - [JSON representation](https://docs.cloud.google.com/distributed-cloud/connected/1.10.0/docs/reference/container/rest/v1/projects.locations/getServerConfig#Version.SCHEMA_REPRESENTATION)
- [Try it!](https://docs.cloud.google.com/distributed-cloud/connected/1.10.0/docs/reference/container/rest/v1/projects.locations/getServerConfig#try-it)

Gets the server config.

### HTTP request

`GET https://edgecontainer.googleapis.com/v1/{name=projects/*/locations/*}/serverConfig`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name (project and location) of the server config to get, specified in the format `projects/*/locations/*`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `edgecontainer.serverConfig.get` |

### Request body

The request body must be empty.

### Response body

Server configuration for supported versions and release channels.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "channels": { string: { object (`https://docs.cloud.google.com/distributed-cloud/edge/1.10.0/docs/reference/container/rest/v1/projects.locations/getServerConfig#ChannelConfig`) }, ... }, "versions": [ { object (`https://docs.cloud.google.com/distributed-cloud/edge/1.10.0/docs/reference/container/rest/v1/projects.locations/getServerConfig#Version`) } ], "defaultVersion": string } ``` |

| Fields ||
|---|---|
| `channels` | ``map (key: string, value: object (`https://docs.cloud.google.com/distributed-cloud/edge/1.10.0/docs/reference/container/rest/v1/projects.locations/getServerConfig#ChannelConfig`))`` Output only. Mapping from release channel to channel config. An object containing a list of `"key": value` pairs. Example: `{ "name": "wrench", "mass": "1.3kg", "count": "3" }`. |
| `versions[]` | ``object (`https://docs.cloud.google.com/distributed-cloud/edge/1.10.0/docs/reference/container/rest/v1/projects.locations/getServerConfig#Version`)`` Output only. Supported versions, e.g.: \["1.4.0", "1.5.0"\]. |
| `defaultVersion` | `string` Output only. Default version, e.g.: "1.4.0". |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## ChannelConfig

Configuration for a release channel.

| JSON representation |
|---|
| ``` { "defaultVersion": string } ``` |

| Fields ||
|---|---|
| `defaultVersion` | `string` Output only. Default version for this release channel, e.g.: "1.4.0". |

## Version

Version of a cluster.

| JSON representation |
|---|
| ``` { "name": string } ``` |

| Fields ||
|---|---|
| `name` | `string` Output only. Name of the version, e.g.: "1.4.0". |